0
votes
1answer
221 views

Handling yum upgrade from pkg-x.y.rpm which requires mod_python to pkg-x.(y+z).rpm with conflicts mod_python

With yum/rpm on RHEL 5 can a yum upgrade be made to remove another, conflicting package - similar to the behaviour of apt-get dist-upgrade on Debian? I am updating the .spec for our product's rpm. ...
1
vote
1answer
109 views

Is opsview-agent 4.0 compatible with an Opsview 3.x server?

I was setting up some new RHEL machines to monitor with our Opsview Community 20120424 server (which is based on 3.x) and discovered that the Opsview yum repository no longer has the 3.x ...
3
votes
3answers
6k views

Exclude a specific repo from YUM Update

I am doing a system wide yum update on RHEL 5.5 and the IUS EPEL repository is throwing a missing dependency error: php53-mcrypt-5.3.3-4.ius.el5.x86_64 from installed has depsolving problems --> ...
0
votes
2answers
3k views

RHEL server Yum dependencies not working

I have a redhat server that isnt resolving dependencies correctly. I want to install httpd via yum "yum install httpd" and it installs correctly, but when i go to start httpd I get the following ...
0
votes
1answer
1k views

Is it possible to just update Java through YUM on a licensed RHEL5?

RHEL 5.6 64 bit running: Java(TM) SE Runtime Environment (build 1.6.0_27-b07) Java HotSpot(TM) 64-Bit Server VM (build 20.2-b06, mixed mode) Can I update this with the latest build 29 using yum? ...
1
vote
1answer
363 views

Install/Update a package on RHEL5 from CentOSPlus repo with same package existing in RHN

I'm trying to install postfix with MySQL on RHEL5 but the repos from the rhnplugin are overriding it even if i have an exclude line in the rhnplugin.conf file My goal is to only use the CentOSPlus ...
1
vote
2answers
929 views

Building nginx 1.0.4 on Amazon EC2 micro - perl and python problems

I'd like to run nginx as a reverse proxy with apache2 on my EC2 micro instance. yum install nginx gives me nginx-0.8.53-1.2.amzn1.x86_64.rpm The current nginx is 1.0.4 I found and followed this ...
2
votes
1answer
327 views

Is “yum groupinstall” compatible with Red Hat Network?

On CentOS 5, I run yum groupinstall "Development Libraries" to install the commonly used development libraries. Can I use the same command on a RHEL5 server with RHN? Is the "Development Libraries" ...
3
votes
2answers
2k views

RHEL5.5 yum can't see a package (xen) on repo?

hi i'm trying to install xen via yum on RHEL 5.5. When i browse the repo here: http://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/ I can see the package i want. specifically ...
2
votes
1answer
1k views

error from 'yum list <package>' - up2date client abuse?

I recently added a server to our network. After a normal RHEL5 installation I added a number of packages via yum. This was about 2 weeks ago. This morning Im looking for something in yum and tried ...
2
votes
2answers
570 views

OCFS2 updating procedures

We plan to use OCFS2 in a project running Red Hat Enterprise Linux (RHEL) 5.6 because we found OCFS2 to be much simpler to set up than GFS. I am, however, worried about the upgrade process since I ...
0
votes
2answers
2k views

Tomcat6 on RHEL 5.5

Based on the answer to a similar question (CentOS) I have installed the jPackage .repo file and attempted sudo yum install tomcat6. I am met with the following error messages: --> Finished Dependency ...
0
votes
1answer
564 views

Missing Dependency Errors when Installing OpenVas Server

I'm trying to install OpenVAS on Red Hat Enterprise Linux 5.5. I've successfully run yum install openvas-client, but yum install openvas-server prints the following errors: --> Finished Dependency ...
1
vote
1answer
84 views

Centos 5 RPMs on RHEL 5

I know this isn't ideal, but typically how compatible are Centos5 rpms with RHEL5? Is the only real difference the enterprise package management, or are the two OS as divergent as Fedora and RHEL?
1
vote
3answers
235 views

Update RHEL servers through ssh, without root ssh access

Where I currently am I have a requirement to set PermitRootLogin to no for ssh. I would like to update all of my severs at the same time with passwordless login, however without the root account ...
1
vote
2answers
691 views

Connecting to a Yum Repo on RHEL5

When I run a yum update I get the following error yum update Gathering header information file(s) from server(s) Server: Red Hat Enterprise 5Server - RPMforge.net - dag retrygrab() failed for: ...
3
votes
1answer
2k views

Which RPM fixes this failed RedHat dependency?

Problem I'm installing an RPM on RedHat Enterprise Linux 5 and it fails with the following error: error: Failed dependencies: rpmlib(PayloadIsLzma) <= 4.4.6-1 is needed by vspd-1/43-rsmu.i586 ...
2
votes
2answers
13k views

How-to: add an ISO/DVD of RHEL to the Repository list under Gnome for installing packages

I want to add the original ISO I installed RHEL from as a repository under the Add/Remove Software tool in Gnome. How do I do this? To clarify, I know what I need to do (add a repository) - I need ...
1
vote
2answers
945 views

Repairing yum's repositories on a RHEL5

I am using RHEL5 and yum is missing many packages, such as apache, php, and all php libraries . I have added the rpmforge repository, but i am still missing these packages. This is an i686 machine ...
1
vote
3answers
11k views

yum update to specific kernel version

On rhel 5.3 I want to update to kernel version "2.6.18-128.8.1.el5" due to a security patch. When performing: yum check-update | grep kernel kernel.x86_64 ...
2
votes
2answers
9k views

In RHEL 5, yum cannot find a package (python-devel)

At work I need to use Red Hat Enterprise Linux (RHEL) version 5 on one particular server. I am experienced with Linux, but not much with RHEL (more with Debian and Ubuntu). I want to install ...
1
vote
2answers
841 views

Help upgrading RHEL 5.1 to CentOS 5.1

I'm trying to follow the steps from the MigrationGuide (modified to reflect the fact I'm dealing with non-current versions) to migrate from RHEL 5.1 to CentOS 5.1. I used the following commands: # ...